Subject: Re: bug#3400: bug in add-text-properties

From: Stefan Monnier <[email-masked]>
Date: Thu, 28 May 2009 14:28:16 -0400

> Hmm.  If I have

>    12345
>    ABCDE

> and I make `12345' + the newline after the `5' invisible and
> intangible, I see

>   ABCDE

> in the buffer.  If the blinking cursor stays on the `A', and you press
> `C-x =', do you *really* expect to see the properties of character `1'
> instead of `A'?  This is completely counterintuitive IMHO.

If you hit `b', the `b' will be inserted right before "12345", and it
will not be invisible.  BTW, why are you using `intangible'?

        Stefan